# VNF PM commands

VNF PM commands are CLI interface of VNF Performance Management interface in ETSI NFV-SOL 002 and ETSI NFV-SOL 003.

Note

Commands only support calling version 2 vnfpm APIs. You can use the commands with --os-tacker-api-version 2 to call version 2 vnfpm APIs.

## vnfpm job create

Create a new VNF PM job

    openstack vnfpm job create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <param-file>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

param-file

  Specify create VNF PM job request parameters in a json file.

This command is provided by the python-tackerclient plugin.

## vnfpm job delete

Delete VNF PM job

    openstack vnfpm job delete <vnf-pm-job-id> [<vnf-pm-job-id> ...]

vnf-pm-job-id

  VNF PM job ID(s) to delete

This command is provided by the python-tackerclient plugin.

## vnfpm job list

List VNF PM jobs

    openstack vnfpm job list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter <filter>]
        [--all_fields
        |
        --fields fields
        |
        --exclude_fields exclude-fields
        ]
        [--exclude_default]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <filter>

  Attribute-based-filtering parameters

--all_fields

  Include all complex attributes in the response

--fields fields

  Complex attributes to be included into the response

--exclude_fields exclude-fields

  Complex attributes to be excluded from the response

--exclude_default

  Indicates to exclude all complex attributes from the response. This argument can be used alone or with –fields and –filter. For all other combinations tacker server will throw bad request error

This command is provided by the python-tackerclient plugin.

## vnfpm job show

Display VNF PM job details

    openstack vnfpm job show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-pm-job-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-pm-job-id

  VNF PM job ID to display

This command is provided by the python-tackerclient plugin.

## vnfpm job update

Update information about an individual VNF PM job

    openstack vnfpm job update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-pm-job-id>
        <param-file>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-pm-job-id

  VNF PM job ID to update.

param-file

  Specify update PM job request parameters in a json file.

This command is provided by the python-tackerclient plugin.

## vnfpm report show

Display VNF PM report details

    openstack vnfpm report show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-pm-job-id>
        <vnf-pm-report-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-pm-job-id

  VNF PM job id where the VNF PM report is located

vnf-pm-report-id

  VNF PM report ID to display

This command is provided by the python-tackerclient plugin.

## vnfpm threshold create

Create a new VNF PM threshold

    openstack vnfpm threshold create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <param-file>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

param-file

  Specify create VNF PM threshold request parameters in a json file.

This command is provided by the python-tackerclient plugin.

## vnfpm threshold delete

Delete VNF PM threshold

    openstack vnfpm threshold delete
        <vnf-pm-threshold-id>
        [<vnf-pm-threshold-id> ...]

vnf-pm-threshold-id

  VNF PM threshold ID(s) to delete

This command is provided by the python-tackerclient plugin.

## vnfpm threshold list

List VNF PM thresholds

    openstack vnfpm threshold list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter <filter>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <filter>

  Attribute-based-filtering parameters

This command is provided by the python-tackerclient plugin.

## vnfpm threshold show

Display VNF PM threshold details

    openstack vnfpm threshold show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-pm-threshold-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-pm-threshold-id

  VNF PM threshold ID to display

This command is provided by the python-tackerclient plugin.

## vnfpm threshold update

Update information about an individual VNF PM threshold

    openstack vnfpm threshold update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-pm-threshold-id>
        <param-file>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-pm-threshold-id

  VNF PM threshold ID to update.

param-file

  Specify update PM threshold request parameters in a json file.

This command is provided by the python-tackerclient plugin.

this page last updated: 2026-02-27 18:13:17

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug